package com.widget.imagevideobanner;

import android.os.Bundle;
import android.os.Environment;
import android.support.v7.app.AppCompatActivity;

import com.widget.imagevideobanner.banner.ImageVideoBanner;
import com.widget.imagevideobanner.bean.BannerBean;

import java.util.ArrayList;
import java.util.List;

public class MainActivity extends AppCompatActivity {

    private List<BannerBean> list = new ArrayList<>();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        ImageVideoBanner banner = findViewById(R.id.banner);
        setDatas();
        banner.addData(list);
        banner.startBanner();
    }

    private void setDatas() {
        for (int i = 0; i < 1; i++) {
            BannerBean listBean = new BannerBean();
            if (i == 0) {
                String url = Environment.getExternalStorageDirectory() + "/Video_Compressed_converseBanner_2021_01_05_03_05_11_0.mp4";
                listBean.setUrl(url);
                listBean.setType(1);
                list.add(listBean);
            } else if (i == 1) {
                String url = Environment.getExternalStorageDirectory() + "/vertical_test.mp4";
                listBean.setUrl(url);
                listBean.setType(1);
                list.add(listBean);
            }
        }
    }

}
